q = [ 0.1 8.571466
    0.12 4.556397
    0.14 3.007562
    0.18 2.124309
    0.2 1.150132] ;
plot(q(:,1),q(:,2))
xlabel('h (node-node distance)')
ylabel('Time for calculation(s)')
set(gca,'FontSize',14)

% time steps comp
p= [50 1.382809 
110 1.583227
150 1.717634
200 1.931874
250 2.170542 ];
plot(p(:,1),p(:,2))
xlabel('No. of time steps')
ylabel('Time for calculation(s)')
set(gca,'FontSize',14)

%% plot at intermidate and end time

% tim = (1:nStep)*dt ;
% ind = find(abs(tim-2)<dt) ;
% ind = ind(1) ;
% figure;
% f1 = surface(xx,yy,u_sol{ind},'FaceColor','interp');
% set(gca,'FontSize',16) ;
% zlim([-2 6]) ;
% title(['At time = ' num2str((ind-1)*dt) 's. Time steps = ' num2str(nStep)])
% grid on
% view(3)
% 
% figure;
% f2 = surface(xx,yy,u_sol{end},'FaceColor','interp');
% set(gca,'FontSize',16) ;
% zlim([-2 6]) ;
% title(['At time = ' num2str(tEnd) 's. Time steps = ' num2str(nStep)])
% grid on
% view(3)
% 
% [hx hy max(max(u_sol{ind}))]

% u_end = u_sol{end} ;
% u_mid = u_sol{ind} ;
% save(['nsteps=',num2str(nStep)]','u_end','u_mid','u')
% saveas(f1,['Midtime,nsteps=',num2str(nStep)],'pdf') ;
% saveas(f2,['Endtime,nsteps=',num2str(nStep)],'pdf') ;
